Get project flag settings
GET
https://api.vercel.com/v1/projects/{projectIdOrName}/feature-flags/settingsRetrieve feature flag settings for a project.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.featureFlags.getFlagSettings({ projectIdOrName: "<value>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "createdAt": "123", "enabled": "false", "entities": [ { "attributes": [ { "key": "string", "labels": [ { "label": "string", "value": "string" } ], "type": "string" } ], "kind": "string", "label": "string" } ], "environments": [], "metadata": { "activeFlagCount": "123", "archivedFlagCount": "123", "configUpdatedAt": "123", "packRevision": "123", "packSizeInBytes": "123", "segmentCount": "123" }, "ownerId": "example_id", "projectId": "example_id", "typeName": "settings", "updatedAt": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error